Bug 859946 - kernel: xen: change the default behaviour of CVE-2012-2934 fix [rhel-5.8.z]
Summary: kernel: xen: change the default behaviour of CVE-2012-2934 fix [rhel-5.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.9
Hardware: x86_64
OS: Other
high
high
Target Milestone: rc
: ---
Assignee: Alexander Gordeev
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 858724
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-24 13:07 UTC by RHEL Program Management
Modified: 2013-01-10 01:09 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.18-308.19.1.el5
Doc Type: Bug Fix
Doc Text:
This update changes Xen hypervisor's behavior introduced in the CVE-2012-2934 issue: the host was prevented from booting on AMD processors with the AMD #121 erratum applied. Users were prompted to pass the "allow_unsafe" parameter on the command line to allow booting the Xen host. However, this could prevent remotely managed hosts from being started. With this update, the boot process is no longer denied by default; only guest creation is denied. The allow_unsafe semantics has changed to allow creation of guests instead of allowing booting the host.
Clone Of:
Environment:
Last Closed: 2012-11-13 15:42:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1445 normal SHIPPED_LIVE Low: kernel security and bug fix update 2012-11-13 20:37:01 UTC

Description RHEL Program Management 2012-09-24 13:07:55 UTC
This bug has been copied from bug #858724 and has been proposed
to be backported to 5.8 z-stream (EUS).

Comment 5 Alexander Gordeev 2012-10-22 07:21:32 UTC
in kernel-2.6.18-308.19.1.el5

Comment 9 errata-xmlrpc 2012-11-13 15:42:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1445.html


Note You need to log in before you can comment on or make changes to this bug.